<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4139
Name: pH
Description: Labor: pH
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4139-2017-03-01T000000">
   <title>pH</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4139
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]
Item: (pH)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4139
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]
Item: (pH)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]"
         id="d19e7665-false-d44559e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="string(@classCode)=('OBS')">(pH): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="string(@moodCode)=('EVN')">(pH): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4139'])&gt;=1">(pH): Element hl7:templateId[@root='1.2.276.0.76.10.4139'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4139'])&lt;=1">(pH): Element hl7:templateId[@root='1.2.276.0.76.10.4139'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="count(hl7:code[(@code='11558-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1">(pH): Element hl7:code[(@code='11558-4' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="count(hl7:code[(@code='11558-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(pH): Element hl7:code[(@code='11558-4' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="count(hl7:text)&lt;=1">(pH): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1">(pH): Element hl7:statusCode[@code='completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(pH): Element hl7:statusCode[@code='completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(pH): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="count(hl7:value)&gt;=1">(pH): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="count(hl7:value)&lt;=1">(pH): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4139
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:templateId[@root='1.2.276.0.76.10.4139']
Item: (pH)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:templateId[@root='1.2.276.0.76.10.4139']"
         id="d19e7671-false-d44632e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4139')">(pH): Der Wert von @root MUSS '1.2.276.0.76.10.4139' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4139
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:code[(@code='11558-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (pH)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:code[(@code='11558-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d19e7676-false-d44644e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="@nullFlavor or (@code='11558-4' and @codeSystem='2.16.840.1.113883.6.1')">(pH): Der Elementinhalt MUSS einer von 'code '11558-4' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4139
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:text
Item: (pH)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:text"
         id="d19e7681-false-d44658e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(pH): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="count(hl7:reference)&gt;=1">(pH): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="count(hl7:reference)&lt;=1">(pH): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4139
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:text/hl7:reference
Item: (pH)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:text/hl7:reference"
         id="d19e7686-false-d44679e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(pH): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4139
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:statusCode[@code='completed']
Item: (pH)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:statusCode[@code='completed']"
         id="d19e7690-false-d44691e0">
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="@nullFlavor or (@code='completed')">(pH): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4139
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:effectiveTime
Item: (pH)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:effectiveTime"
         id="d19e7695-false-d44705e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(pH): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="not(*)">(pH): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4139
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:value
Item: (pH)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='1.2.276.0.76.10.4139']]/hl7:value"
         id="d19e7701-false-d44719e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(pH): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="(@nullFlavor or (@unit='[pH]'))">(pH): value MUSS die Einheit '[pH]' nutzen </assert>
      <assert role="error"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(pH): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.org/aktin-html-20180322T121444/tmp-1.2.276.0.76.10.4139-2017-03-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(pH): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
